Summary: Simple PAM-based Applications
Name: SimplePAM+PWDBApps
Version: 0.55
Release: 6
Icon: PAM.gif
Source: SimplePAMApps-0.55.tar.gz
Requires: pam >= 0.57, pwdb >= 0.54-7
Copyright: BSD or GNU GPL
Buildroot: /usr/src/redhat/root
Group: Utilities/System
URL: http://parc.power.net/morgan/Linux-PAM/index.html
Packager: Andrew G. Morgan <morgan@parc.power.net>

%description
These are applications for use with the Linux-PAM library. This package
includes "login", "su" and "passwd".  These applications use the Password
Database library over the getpw...() functions provided by libc.

%prep
rm -rf $RPM_BUILD_ROOT/*

%setup -n SimplePAMApps-0.55

echo Checking distribution
make check

%build

touch conf/.ignore_age
make COPTFLAGS="$RPM_OPT_FLAGS" WANT_PWDB=yes
make install

%install

mkdir -p $RPM_BUILD_ROOT/bin
install -m 4511 -o root -g root bin/login $RPM_BUILD_ROOT/bin
install -m 4511 -o root -g root bin/su $RPM_BUILD_ROOT/bin

mkdir -p $RPM_BUILD_ROOT/usr/bin
install -m 4511 -o root -g root bin/passwd $RPM_BUILD_ROOT/usr/bin

mkdir -p $RPM_BUILD_ROOT/usr/man/man1
install -m 0444 -o root -g root apps/login/login.1 $RPM_BUILD_ROOT/usr/man/man1
install -m 0444 -o root -g root apps/su/su.1 $RPM_BUILD_ROOT/usr/man/man1
install -m 0444 -o root -g root apps/passwd/passwd.1 $RPM_BUILD_ROOT/usr/man/man1

%pre
PATH=/bin:$PATH
if [ ! -f /etc/pam.conf -a ! -d /etc/pam.d ]; then
   echo -e "\n\aNOTE: creating an /etc/pam.d directory"
   mkdir /etc/pam.d
   if [ $? -ne 0 ]; then
      echo -e "ERROR: unable to create /etc/pam.d/ directory"
      exit 1
   fi
   chmod 755 /etc/pam.d
elif [ -e /etc/pam.d ]; then
   if [ ! -d /etc/pam.d -o ! -r /etc/pam.d -o ! -x /etc/pam.d ]; then
      echo -e "\n\a/etc/pam.d has improper mode:"
      echo "-> it should be a directory with minimal mode 0711"
      exit 1
   fi
elif [ -f /etc/pam.conf ]; then
   echo -e "\nWill _not_ install configurations for these apps"
fi

%post
version=SimplePAM+PWDBApps-0.55-6
umask 0644
PATH=/bin:$PATH
if [ -e /etc/pam.d ]; then
   for n in /usr/doc/$version/pam.d/* ;
   do
      o=/etc/pam.d/${n#/usr/doc/$version/pam.d/}
      echo -n "Installing: $o "
      if [ -f $o ]; then cp $o $o.rpmsave ; fi
      echo -n "."
      cp $n $o
      echo -n "."
      chmod 644 $o
      echo ". (done)"
   done
else
   echo -e "-> sample configuration files are provided in:"
   echo -e "     /usr/doc/$version/pam..."
fi

%files
/bin/login
/usr/man/man1/login.1
/bin/su
/usr/man/man1/su.1
/usr/bin/passwd
/usr/man/man1/passwd.1
%doc pgp.keys.asc Copyright conf/pam.conf conf/pam.d/
